package com.vodafone.group.contract.vbs.service.service_balance.v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;

/**
 * This interface contains operations for the
 * 			ServiceBalance API
 *
 * This class was generated by Apache CXF 3.2.1
 * 2017-11-21T21:05:33.313+02:00
 * Generated source version: 3.2.1
 * 
 */
@WebService(targetNamespace = "http://group.vodafone.com/contract/vbs/service/service-balance/v1", name = "ServiceBalanceInterface")
@XmlSeeAlso({com.vodafone.group.schema.common.v1.ObjectFactory.class, com.vodafone.group.contract.vfo.fault.v1.ObjectFactory.class, un.unece.uncefact.documentation.standard.corecomponenttype._2.ObjectFactory.class, org.oasis_open.docs.wsrf.bf_2.ObjectFactory.class, com.vodafone.group.schema.vbo.service.service_balance.v1.ObjectFactory.class, com.vodafone.group.contract.vho.header.v1.ObjectFactory.class, com.vodafone.group.schema.vbm.service.service_balance.v1.ObjectFactory.class, com.vodafone.group.schema.extension.vbo.service.service_balance.v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface ServiceBalanceInterface {

    /**
     * This operation is used to GetServiceBalanceList
     * 			
     */
    @WebMethod(operationName = "GetServiceBalanceList", action = "http://group.vodafone.com/contract/vbs/service/service-balance/v1/get-list")
    @Action(input = "http://group.vodafone.com/contract/vbs/service/service-balance/v1/get-list", fault = {})
    @WebResult(name = "GetServiceBalanceListVBMResponse", targetNamespace = "http://group.vodafone.com/schema/vbm/service/service-balance/v1", partName = "ServiceBalanceList")
    public com.vodafone.group.schema.vbm.service.service_balance.v1.GetServiceBalanceListVBMResponseType getServiceBalanceList(
        @WebParam(partName = "ServiceBalanceCriteria", name = "GetServiceBalanceListVBMRequest", targetNamespace = "http://group.vodafone.com/schema/vbm/service/service-balance/v1")
        com.vodafone.group.schema.vbm.service.service_balance.v1.GetServiceBalanceListVBMRequestType serviceBalanceCriteria
    ) throws VodafoneFault;
}
